﻿/* #region breakpoints for new mockups */
/* #endregion breakpoints for new mockups */
/* #region breakpoints for new mockups */
/* #endregion breakpoints for new mockups */
/* #region media queries for new mockups */
/* #endregion media queries for new mockups */
@media only screen and (min-width: 320px) {
  .application-development-page .header-section {
    display: grid;
    grid-template-columns: auto repeat(3, 72px);
    grid-template-rows: repeat(2, auto) repeat(3, 72px);
    grid-template-areas: "header header header header" "body body body body" ". . four four" ". three four four" ". . five six"; }
    .application-development-page .header-section .page-header {
      display: flex;
      flex-direction: column-reverse;
      grid-area: header;
      font-family: Ubuntu !important;
      font-style: normal !important;
      font-weight: 500 !important;
      font-feature-settings: 'pnum' on, 'lnum' on;
      font-size: 30px !important;
      line-height: 40px !important;
      margin-bottom: 15px; }
    .application-development-page .header-section .page-description {
      grid-area: body;
      font-family: Open Sans;
      font-style: normal;
      font-weight: normal;
      font-size: 15px !important;
      line-height: 25px !important;
      margin-bottom: 20px; }
    .application-development-page .header-section .collage-item {
      width: 100%;
      height: 100%;
      background-repeat: no-repeat;
      background-size: cover;
      background-position: center; }
    .application-development-page .header-section .collage-item:nth-child(3) {
      background-size: 45%;
      grid-area: one; }
    .application-development-page .header-section .collage-item:nth-child(4) {
      background-size: 45%;
      grid-area: two; }
    .application-development-page .header-section .collage-item:nth-child(5) {
      background-size: 45%;
      border-radius: 0 50%;
      grid-area: three; }
    .application-development-page .header-section .collage-item:nth-child(6) {
      border-radius: 0 50%;
      grid-area: four; }
    .application-development-page .header-section .collage-item:nth-child(7) {
      background-size: 45%;
      border-radius: 0 50% 50% 50%;
      grid-area: five; }
    .application-development-page .header-section .collage-item:nth-child(8) {
      background-size: 45%;
      border-radius: 50% 0 50% 50%;
      grid-area: six; }
  .application-development-page .internal-links-section {
    display: flex;
    flex-direction: column; }
    .application-development-page .internal-links-section .il-header {
      font-family: Ubuntu !important;
      font-style: normal !important;
      font-weight: 500 !important;
      font-size: 20px !important;
      line-height: 25px !important;
      text-align: center;
      color: #404040;
      margin-bottom: 30px; }
    .application-development-page .internal-links-section .links-container {
      display: grid;
      grid-template-columns: 1fr;
      grid-template-rows: repeat(3, 250px);
      grid-row-gap: 25px;
      padding: 0 8px; }
      .application-development-page .internal-links-section .links-container .link-card {
        background: #FFFFFF;
        box-shadow: 0px 0px 25px rgba(0, 0, 0, 0.1);
        border-radius: 8px;
        height: 100%;
        width: 100%;
        text-align: center;
        position: relative;
        padding: 65px 0 0;
        box-sizing: border-box;
        overflow: hidden;
        cursor: pointer; }
        .application-development-page .internal-links-section .links-container .link-card .card-number {
          font-family: Ubuntu;
          font-size: 110px;
          font-style: normal;
          font-weight: 700;
          line-height: 129px;
          letter-spacing: 0em;
          text-align: center;
          font-feature-settings: 'pnum' on, 'lnum' on;
          position: absolute;
          top: 0;
          left: 0;
          padding-left: 10px; }
        .application-development-page .internal-links-section .links-container .link-card .link-icon {
          height: 100px;
          background-size: 100px 100px;
          background-repeat: no-repeat;
          background-position: center; }
        .application-development-page .internal-links-section .links-container .link-card .link-text {
          height: 85px;
          border-bottom: 15px solid;
          box-sizing: border-box;
          padding: 9px 0 0; }
        .application-development-page .internal-links-section .links-container .link-card .link-label {
          font-family: Open Sans;
          font-style: normal;
          font-weight: 600;
          font-size: 18px;
          line-height: 25px;
          color: #404040;
          cursor: pointer;
          text-transform: uppercase; }
  .application-development-page .ds-applications-section .header {
    font-family: Ubuntu;
    font-size: 38px;
    font-style: normal;
    font-weight: 700;
    line-height: 38px;
    letter-spacing: 0em;
    text-align: left;
    margin: 0 0 10px;
    text-transform: uppercase; }
  .application-development-page .ds-applications-section .conception-container {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 200px auto;
    grid-row-gap: 20px; }
    .application-development-page .ds-applications-section .conception-container .conception-image-container {
      border-radius: 8px;
      overflow: hidden; }
      .application-development-page .ds-applications-section .conception-container .conception-image-container .conception-image {
        height: 100%;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center; }
    .application-development-page .ds-applications-section .conception-container .conception-text {
      font-family: Open Sans;
      font-style: normal;
      font-weight: normal;
      font-size: 15px;
      line-height: 25px;
      color: #404040; }
      .application-development-page .ds-applications-section .conception-container .conception-text .conception-advantages {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: auto;
        grid-row-gap: 19px;
        margin-top: 20px; }
        .application-development-page .ds-applications-section .conception-container .conception-text .conception-advantages li {
          list-style-type: none;
          font-family: Open Sans;
          font-style: normal;
          font-weight: normal;
          font-size: 15px !important;
          line-height: 25px !important;
          color: #404040;
          display: flex;
          flex-direction: row; }
          .application-development-page .ds-applications-section .conception-container .conception-text .conception-advantages li:before {
            content: '';
            display: inline-block;
            height: 25px;
            width: 10px;
            background-image: url("data:image/svg+xml,%3Csvg width='19' height='13' viewBox='0 0 19 13' fill='none' xmlns='http://www.w3.org/2000/svg'%3E %3Cpath d='M2.04492 6.5L6.99467 11.4497L16.8942 1.55025' stroke='%23FF6100' stroke-width='3' stroke-linecap='round' stroke-linejoin='round'/%3E %3C/svg%3E ");
            background-size: contain;
            background-position: center;
            background-repeat: no-repeat;
            margin: 0 10px 0 0; }
        .application-development-page .ds-applications-section .conception-container .conception-text .conception-advantages span {
          display: block; }
  .application-development-page .ds-applications-section .patterns-container {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    grid-row-gap: 20px; }
    .application-development-page .ds-applications-section .patterns-container li {
      display: grid;
      grid-template-columns: 45px auto;
      grid-column-gap: 15px;
      display: flex;
      align-items: center; }
      .application-development-page .ds-applications-section .patterns-container li span {
        display: flex; }
      .application-development-page .ds-applications-section .patterns-container li .list-bullet {
        height: 54px;
        width: 54px;
        border-radius: 50% 0;
        display: flex;
        justify-content: center;
        align-items: center; }
        .application-development-page .ds-applications-section .patterns-container li .list-bullet svg {
          width: 24.3px;
          height: 24.3px; }
      .application-development-page .ds-applications-section .patterns-container li .list-label {
        font-family: Open Sans;
        font-style: normal;
        font-weight: normal;
        font-size: 15px;
        line-height: 25px;
        color: #404040; }
  .application-development-page .ds-applications-section .sub-header {
    font-family: Ubuntu !important;
    font-style: normal !important;
    font-weight: 500 !important;
    font-size: 20px !important;
    line-height: 25px !important;
    text-align: center;
    color: #404040;
    margin: 80px auto 30px auto; }
  .application-development-page .ds-applications-section .technologies-container .group-container {
    display: flex;
    flex-direction: column;
    margin-bottom: 17px; }
    .application-development-page .ds-applications-section .technologies-container .group-container .group-title-container {
      margin-bottom: 10px;
      margin-top: 0; }
      .application-development-page .ds-applications-section .technologies-container .group-container .group-title-container .group-title {
        font-family: Open Sans !important;
        font-style: normal !important;
        font-weight: normal !important;
        font-size: 17px !important;
        line-height: 24px !important;
        text-align: start !important;
        color: #8C8C8C;
        margin: 0;
        padding-right: 10px; }
    .application-development-page .ds-applications-section .technologies-container .group-container .cards-container {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      margin: 0 -10px;
      padding: 0 10px;
      justify-content: center; }
      .application-development-page .ds-applications-section .technologies-container .group-container .cards-container .tech-card {
        height: auto;
        background: #FFFFFF;
        box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.15);
        border-radius: 8px;
        margin: 0 10px 10px 0;
        padding: 5px 2px;
        flex: 1 1 auto;
        height: 50px;
        vertical-align: middle;
        justify-content: space-around;
        min-width: 25%; }
      .application-development-page .ds-applications-section .technologies-container .group-container .cards-container .tech-card:last-of-type {
        max-width: 55%; }
  .application-development-page .ds-applications-section .technologies-container .group-container:last-of-type {
    margin-bottom: -10px; } }

@media only screen and (min-width: 360px) {
  .application-development-page .header-section {
    grid-template-columns: auto repeat(3, 82px);
    grid-template-rows: repeat(2, auto) repeat(3, 82px);
    grid-template-areas: "header header header header" "body body body body" ". . four four" ". three four four" ". . five six"; }
  .application-development-page .internal-links-section .links-container {
    padding: 0 16px; }
  .application-development-page .ds-applications-section .header {
    margin: 0 0 15px; }
  .application-development-page .ds-applications-section .patterns-container {
    padding: 0 16px; } }

@media only screen and (min-width: 375px) {
  .application-development-page .header-section {
    grid-template-columns: auto repeat(3, 86px);
    grid-template-rows: 86px repeat(2, auto) repeat(3, 86px);
    grid-template-areas: ". . one two" "header header header header" "body body body body" ". . four four" ". three four four" ". . five six"; }
    .application-development-page .header-section .collage-item:nth-child(3) {
      border-radius: 50%;
      grid-area: one; }
    .application-development-page .header-section .collage-item:nth-child(4) {
      border-radius: 50%;
      grid-area: two; } }

@media only screen and (min-width: 768px) {
  .application-development-page .header-section {
    grid-template-columns: auto repeat(3, 96px);
    grid-template-rows: 96px repeat(2, auto) repeat(3, 96px);
    grid-template-areas: ". . one two" "header header header header" "body body body body" ". . four four" ". three four four" ". . five six"; }
    .application-development-page .header-section .page-header {
      font-size: 50px !important;
      line-height: 63px !important;
      padding-top: 18px; }
    .application-development-page .header-section .page-description {
      font-size: 20px !important;
      line-height: 27px !important; }
  .application-development-page .internal-links-section .il-header {
    font-size: 30px !important;
    line-height: 45px !important;
    margin-bottom: 54px; }
  .application-development-page .internal-links-section .links-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 300px;
    grid-row-gap: 0;
    grid-column-gap: 29px; }
    .application-development-page .internal-links-section .links-container .link-card {
      height: 100%;
      width: 100%;
      text-align: center;
      position: relative; }
      .application-development-page .internal-links-section .links-container .link-card .card-number {
        font-size: 110px;
        line-height: 129px; }
      .application-development-page .internal-links-section .links-container .link-card .link-icon {
        position: relative;
        height: 117px;
        background-repeat: no-repeat;
        background-position: center; }
      .application-development-page .internal-links-section .links-container .link-card .link-label {
        font-size: 21px;
        line-height: 32px;
        max-width: 90%;
        display: block;
        margin: 0 auto; }
      .application-development-page .internal-links-section .links-container .link-card .link-text {
        height: 118px; }
  .application-development-page .ds-applications-section {
    position: relative;
    padding: 58px 0 0; }
    .application-development-page .ds-applications-section .header {
      font-family: Ubuntu;
      font-size: 64px;
      font-style: normal;
      font-weight: 700;
      line-height: 72px;
      letter-spacing: 0em;
      text-align: left;
      position: absolute;
      top: 0;
      left: -32px;
      z-index: -1;
      white-space: nowrap; }
    .application-development-page .ds-applications-section .conception-container {
      display: grid;
      grid-template-columns: 252px 422px;
      grid-template-rows: 252px;
      grid-row-gap: 0;
      grid-column-gap: 32px; }
      .application-development-page .ds-applications-section .conception-container .conception-image-container {
        border-radius: 8px;
        overflow: hidden; }
        .application-development-page .ds-applications-section .conception-container .conception-image-container .conception-image {
          height: 100%;
          background-size: cover;
          background-repeat: no-repeat;
          background-position: center; }
      .application-development-page .ds-applications-section .conception-container .conception-text {
        font-size: 20px;
        line-height: 27px;
        display: flex;
        flex-direction: column;
        margin: 32px 0 0; }
        .application-development-page .ds-applications-section .conception-container .conception-text .conception-advantages li {
          font-size: 20px !important;
          line-height: 27px !important; }
          .application-development-page .ds-applications-section .conception-container .conception-text .conception-advantages li:before {
            width: 27px;
            height: 27px;
            background-size: 15px; }
        .application-development-page .ds-applications-section .conception-container .conception-text .conception-advantages .list-label {
          width: 210px; }
    .application-development-page .ds-applications-section .patterns-container {
      display: grid;
      grid-template-columns: 1fr 1fr 1fr;
      grid-template-rows: auto;
      grid-column-gap: 40px;
      grid-row-gap: 36px;
      padding: 0; }
      .application-development-page .ds-applications-section .patterns-container li {
        display: grid;
        grid-template-columns: 54px auto;
        grid-column-gap: 15px;
        align-items: center; }
        .application-development-page .ds-applications-section .patterns-container li span {
          display: flex; }
        .application-development-page .ds-applications-section .patterns-container li .list-bullet {
          border-radius: 50% 0; }
          .application-development-page .ds-applications-section .patterns-container li .list-bullet .fas-container {
            font-size: 22px;
            margin: auto; }
        .application-development-page .ds-applications-section .patterns-container li .list-label {
          font-size: 18px;
          line-height: 27px; }
    .application-development-page .ds-applications-section .sub-header {
      font-size: 30px !important;
      line-height: 45px !important;
      margin: 117px auto 40px auto; }
    .application-development-page .ds-applications-section .technologies-container .group-container {
      display: flex;
      flex-direction: column; }
      .application-development-page .ds-applications-section .technologies-container .group-container .group-title-container {
        margin-bottom: 18px; }
        .application-development-page .ds-applications-section .technologies-container .group-container .group-title-container .group-title {
          font-size: 20px !important;
          line-height: 27px !important; }
      .application-development-page .ds-applications-section .technologies-container .group-container .cards-container {
        justify-content: flex-start; }
        .application-development-page .ds-applications-section .technologies-container .group-container .cards-container .tech-card {
          flex: 1 1 auto;
          height: 60px;
          padding: 5px 5px 6px 5px;
          max-width: fit-content;
          min-width: 1%;
          margin-bottom: 9px; }
        .application-development-page .ds-applications-section .technologies-container .group-container .cards-container .tech-card:last-of-type {
          max-width: fit-content; }
    .application-development-page .ds-applications-section .technologies-container .group-container:last-of-type {
      margin-bottom: -9px; } }

@media only screen and (min-width: 1024px) {
  .application-development-page .header-section {
    grid-template-columns: auto repeat(4, 96px);
    grid-template-rows: repeat(4, 96px);
    grid-template-areas: "header . . four four" "header one three four four" "body . . five six" "body . . two ."; }
    .application-development-page .header-section .page-header {
      font-size: 50px !important;
      line-height: 63px !important;
      margin-top: 0;
      width: 531px; }
    .application-development-page .header-section .page-description {
      font-size: 20px !important;
      line-height: 27px !important; }
  .application-development-page .internal-links-section .link-text {
    padding: 0; }
  .application-development-page .internal-links-section .link-label {
    font-size: 21px;
    line-height: 32px; }
  .application-development-page .ds-applications-section {
    padding: 72px 0 0; }
    .application-development-page .ds-applications-section .header {
      font-size: 76px !important;
      line-height: 90px !important; }
    .application-development-page .ds-applications-section .conception-container {
      grid-template-columns: 400px auto; }
      .application-development-page .ds-applications-section .conception-container .conception-text {
        margin: 45px 0 0; }
        .application-development-page .ds-applications-section .conception-container .conception-text .conception-advantages {
          padding-right: 30%;
          display: grid;
          grid-template-columns: 1fr 1fr;
          grid-template-rows: auto;
          grid-row-gap: 19px;
          margin-top: 20px; }
    .application-development-page .ds-applications-section .patterns-container {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      grid-template-rows: auto;
      grid-column-gap: 40px;
      padding: 0; }
      .application-development-page .ds-applications-section .patterns-container li {
        display: grid;
        grid-template-columns: 54px auto;
        grid-column-gap: 15px; }
        .application-development-page .ds-applications-section .patterns-container li .list-label {
          padding-top: 15px; }
    .application-development-page .ds-applications-section .technologies-container .group-container {
      flex-direction: row;
      margin-bottom: 9px; }
      .application-development-page .ds-applications-section .technologies-container .group-container .group-title-container {
        flex: 0 0 170px;
        height: 91px;
        display: flex;
        flex-direction: column;
        justify-content: center; }
        .application-development-page .ds-applications-section .technologies-container .group-container .group-title-container .group-title {
          margin: auto 0; }
      .application-development-page .ds-applications-section .technologies-container .group-container .cards-container .tech-card {
        height: 80px;
        margin-bottom: 18px; }
    .application-development-page .ds-applications-section .technologies-container .group-container:last-of-type {
      margin-bottom: -18px; } }

@media only screen and (min-width: 1280px) {
  .application-development-page .header-section {
    grid-template-columns: auto repeat(4, 128px);
    grid-template-rows: repeat(4, 128px);
    grid-template-areas: "header . . four four" "header one three four four" "body . . five six" "body . . two ."; }
    .application-development-page .header-section .page-header {
      font-size: 60px !important;
      line-height: 72px !important;
      margin-bottom: 55px; }
    .application-development-page .header-section .page-description {
      font-size: 24px !important;
      line-height: 36px !important;
      margin-top: -30px; }
  .application-development-page .internal-links-section .il-header {
    font-size: 36px !important;
    line-height: 54px !important; }
  .application-development-page .internal-links-section .links-container {
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 315px; }
    .application-development-page .internal-links-section .links-container .link-card .card-number {
      font-size: 150px;
      line-height: 153px;
      top: 10px; }
    .application-development-page .internal-links-section .links-container .link-card .link-icon {
      height: 125px;
      background-size: 120px 120px;
      background-position: center; }
    .application-development-page .internal-links-section .links-container .link-card .link-text {
      height: 125px; }
    .application-development-page .internal-links-section .links-container .link-card .link-label {
      font-family: Ubuntu;
      font-size: 24px;
      font-style: normal;
      font-weight: 700;
      line-height: 36px; }
  .application-development-page .ds-applications-section {
    padding: 108px 0 0; }
    .application-development-page .ds-applications-section .header {
      font-size: 100px !important;
      line-height: 153px !important;
      left: -44px; }
    .application-development-page .ds-applications-section .conception-container {
      display: grid;
      grid-template-columns: 450px auto;
      grid-column-gap: 70px; }
      .application-development-page .ds-applications-section .conception-container .conception-text {
        font-size: 24px;
        line-height: 36px;
        margin: 9px 0 0; }
        .application-development-page .ds-applications-section .conception-container .conception-text .conception-advantages {
          grid-row-gap: 29px; }
          .application-development-page .ds-applications-section .conception-container .conception-text .conception-advantages li {
            font-size: 21px !important;
            line-height: 36px !important;
            display: flex;
            align-items: center; }
    .application-development-page .ds-applications-section .patterns-container {
      padding: 0; }
      .application-development-page .ds-applications-section .patterns-container li {
        grid-template-columns: 72px auto;
        align-items: center; }
        .application-development-page .ds-applications-section .patterns-container li .list-label {
          font-size: 24px;
          line-height: 150%;
          padding-top: 0; }
        .application-development-page .ds-applications-section .patterns-container li .list-bullet {
          height: 72px;
          width: 72px; }
          .application-development-page .ds-applications-section .patterns-container li .list-bullet svg {
            width: 32.4px;
            height: 32.4px; }
    .application-development-page .ds-applications-section .sub-header {
      font-size: 36px !important;
      line-height: 54px !important;
      margin: 99px auto 70px auto; }
    .application-development-page .ds-applications-section .technologies-container .group-container .group-title-container {
      flex: 0 0 200px; } }

@media only screen and (min-width: 1366px) {
  .application-development-page .header-section .page-header {
    margin-bottom: 15px; }
  .application-development-page .header-section .page-description {
    margin-top: 0px; }
  .application-development-page .ds-applications-section .technologies-container .group-container .group-title-container {
    flex: 0 0 200px; } }
